<!doctype html>
<html lang="en">
<head>
<!-- Required meta tags -->
<meta charset="utf-8">
<meta name="viewport"
	content="width=device-width, initial-scale=1, shrink-to-fit=no">

<!-- Bootstrap CSS -->
<link rel="stylesheet"
	href="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css"
	integrity="sha384-ggOyR0iXCbMQv3Xipma34MD+dH/1fQ784/j6cY/iJTQUOhcWr7x9JvoRxT2MZw1T"
	crossorigin="anonymous">

<title>Poissons!</title>
</head>
<body>
	<div class="container-fluid">
		<div class="mx-auto" style="width: 400px;">
			<h1>Création d'un poisson</h1>
		</div>

		<div style="width: 1000px" class="mx-auto row">
			<div class="col-md-6 col-lg-6">
				<label for="form-name">Nom :</label>
				 <input type="text" id="form-name" />
			</div>
			
			<div class="col-md-6 col-lg-6">
				<label for="form-description">Description :</label>
				 <textarea id="form-description" rows="5" cols="33" ></textarea>
			</div>
			
			<div class="col-md-6 col-lg-6">
				<label for="form-color">Couleur :</label>
				 <input type="text" id="form-color" />
			</div>
			
			<div class="col-md-6 col-lg-6">
				<label for="form-longueur">Longueur :</label>
				 <input type="number" id="form-longueur" />
			</div>
			
			<div class="col-md-6 col-lg-6">
				<label for="form-largeur">Largeur :</label>
				 <input type="number" id="form-largeur" />
			</div>
			
			<div class="col-md-6 col-lg-6">
				<label for="form-price">Prix :</label>
				 <input type="number" id="form-price" />
			</div>
		</div>

		<div class="mx-auto" style="width: 200px;">
			<button id="buttonCreate" type="submit" class="btn btn-primary mb-2">Valider</button>
		</div>
		
	</div>
	<!-- Optional JavaScript -->

	<!-- jQuery first, then Popper.js, then Bootstrap JS -->
	<script src="https://code.jquery.com/jquery-3.1.1.min.js"></script>
	<script
		src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.14.7/umd/popper.min.js"
		integrity="sha384-UO2eT0CpHqdSJQ6hJty5KVphtPhzWj9WO1clHTMGa3JDZwrnQq4sF86dIHNDz0W1"
		crossorigin="anonymous"></script>
	<script
		src="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/js/bootstrap.min.js"
		integrity="sha384-JjSmVgyd0p3pXB1rRibZUAYoIIy6OrQ6VrjIEaFf/nJGzIxFDsf4x0xIM+B07jRM"
		crossorigin="anonymous"></script>
	<script>
		$(document).ready(function() {
			console.log("OK");
		});
		
		function poisson(nom, description, couleur, prix, longueur, largeur){
			this.nom = nom;
			this.description = description;
			this.couleur = couleur;
			this.prix = prix;
			this.longueur = longueur;
			this.largeur = largeur;
		}
		
		$("#buttonCreate").click(function(){
			var nom = $("#form-name").val();
			var description = $("#form-description").val();
			var couleur = $("#form-color").val();
			var prix = $("#form-price").val();
			var longueur = $("#form-longueur").val();
			var largeur = $("#form-largeur").val();
			
			var fish = new poisson(nom, description, couleur, prix, longueur, largeur);
			console.log(fish);
			
			$.ajax({
				method : "POST",
				url : "http://localhost:8080/poissonController/addPoisson",
				data : fish
			}).then(function (){
				console.log("done!");
				window.location.replace('http://localhost:8080/');
			});
		});
		
		
	</script>
</body>
</html>
